<?php


function metabox_product(array $product_meta){
	
	$product_meta[] = array(
	
			'id' => 'first-section',
			'title' => 'Extra Fields',
			'object_types' => array('client'),
			'fields' => array(
					
					array(
						'id' => 'client_link',
						'name' => 'Link',
						'type' => 'text_url',
						
					),	
			)

	);
	
	return $product_meta;	
}
add_filter('cmb2_meta_boxes','metabox_product');


function metabox_product_staff(array $product_meta){
	
	$product_meta[] = array(
	
			'id' => 'secend-section',
			'title' => 'Extra Fields',
			'object_types' => array('staff'),
			'fields' => array(
					
					array(
						'id' => 'staff_des',
						'name' => 'Staff Designation',
						'type' => 'text',
						
					),
					
					
			)

	);
	
	return $product_meta;	
}
add_filter('cmb2_meta_boxes','metabox_product_staff');


function metabox_product_partner(array $product_meta){
	
	$product_meta[] = array(
	
			'id' => 'third-section',
			'title' => 'Extra Fields',
			'object_types' => array('partner'),
			'fields' => array(
					
					array(
						'id' => 'partner_img',
						'name' => 'Upload Your Partner Image',
						'type' => 'File',
						
					),	
					
					array(
						'id' => 'partner_link',
						'name' => 'Link',
						'type' => 'text_url',
						
					),
					
			)

	);
	
	return $product_meta;	
}
add_filter('cmb2_meta_boxes','metabox_product_partner');


/*
function metabox_product(array $product_meta){
	
	$product_meta[] = array(
	
			'id' => 'first-section',
			'title' => 'Fist Metabox',
			'object_types' => array('product', 'post'),
			'fields' => array(
					array(
						'id' => 'developer',
						'name' => 'Developer Version',
						'type' => 'text',
						
					),
			)

	);
	
	return $product_meta;
}
add_filter('cmb2_meta_boxes','metabox_product');


Output=========
<?php echo get_post_meta(get_the_ID(),'developer', true); ?>

*/